Bug 816477 - [abrt] vino-3.4.1-2.fc17: vino_status_icon_preferences: Process /usr/libexec/vino-server was killed by signal 11 (SIGSEGV)
[abrt] vino-3.4.1-2.fc17: vino_status_icon_preferences: Process /usr/libexec/...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
abrt_hash:87da4bb518cd2d629f82bb259a8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 04:06 EDT by Alexei Panov
Modified: 2014-06-18 05:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-19 22:16:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.12 KB, text/plain)
2012-04-26 04:06 EDT, Alexei Panov
no flags Details
File: smolt_data (2.98 KB, text/plain)
2012-04-26 04:06 EDT, Alexei Panov
no flags Details
File: maps (24.36 KB, text/plain)
2012-04-26 04:06 EDT, Alexei Panov
no flags Details
File: dso_list (8.38 KB, text/plain)
2012-04-26 04:06 EDT, Alexei Panov
no flags Details

  None (edit)
Description Alexei Panov 2012-04-26 04:06:09 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/vino-server
comment:        I've clicked on tray icon with the active connection.
crash_function: vino_status_icon_preferences
executable:     /usr/libexec/vino-server
kernel:         3.3.2-8.fc17.i686
pid:            8001
pwd:            /home/alex
remote_result:  NOTFOUND
time:           Чт. 26 апр. 2012 11:58:55
uid:            1000
username:       alex

backtrace:      Text file, 21623 bytes
dso_list:       Text file, 8586 bytes
maps:           Text file, 24941 bytes
smolt_data:     Binary file, 3053 bytes

build_ids:
:9ca582cad748c16c8582c4d9c7d8540c40dbbee9
:4bcde352cc5d4c005e9b7261b589daeb6bbefc4b
:9aea670864d2a34a222fd110376f7946b702de7c
:7f3c4b2fc7f49a8e50f936b1435bfcf785b29191
:9d0d384e15c03e0a8ee6e25ea9cff7c186087755
:0f22adfaabe11cef7a87e5cc3e66d522ec81800d
:c8678358e56f51f4da8d95c872da9898d836d227
:57d6de5ff5536ed125c804f036da93c46399c6e4
:fb901eead769c3faaaff8da112d17f5e2c340c50
:c37ce5a56ac9116ef3203d075293c839e22aadc9
:e22e1e456283c0cdf171447a61c4f04e354f8b2a
:4bd9cd3a78fa841a2bcf0df8c7e838b80cccd5f3
:c8c155acc515416efd9d0e407ec2667e30f58083
:b6e3efc3126e35cb298eee0a0e496235f185a2b8
:a9580794bfc6165a1f9cbef59f20c90d46c59980
:d74e309f7f349388b9a030bf4a0fea06628bdffd
:877abc9ef35e0e444a200d97dfc10ff460f8b40c
:fdee2102114906bdbb7e74ee8aacdef49a828901
:38cca83f1479b6c765d41139cb7e4a3dfe659111
:c48bdbb2542d5d7ce5b081f57915ca6164dd70b5
:88471e01a987a0b53a4b7f8173e66032615b2fe8
:b1822173d7a500f5b21f71373e030d04c42885f8
:61e37f0257f7f6977fa50990005c02f814736ad9
:fad91ac353e3532099b38d4dffada3e91cf97fa3
:6ada1b23d78540b991e94a6d3a6b9f2d8bcdd5dc
:72a78e5847730928a002fd2c9719c4258a54e265
:ccd17c03940a8cb54bb2f9c6f6d76626976fccf7
:d3e30894909ec9deccefdc3ec757954e80106e55
:68271cb081d1d653575fa11c63f00aef76927081
:d44eca373263d7abb445ddd5bad3dafbccd8cfed
:7468ba793c595989f2e6a123e4a2af42f38ef0fe
:f0e2787509d737bd27ab01ce8a60055461ed377a
:871f20768b677cb3e1bff7cb6a3e271ea889c003
:073a6e8be3691c9090d7e8063df1b719658a25a2
:848a04e2a6ce321422123dd4369d8fff2214d349
:1d6d247cb1c1dc86b34ab960d58c82d7cce35e15
:cc9115bc35ddf6c3c933a5751cae695f3579bddf
:5b5557b5b0427930b220a00961393e29809c42f0
:bdefcd1310b1f24530d799dc0128edd358eb3331
:484975f1ea360971ce6b3c6594f4f9eed104959c
:cd0d64a0ad7a3289da78fd8400f887595a18433b
:9ed05e8e8a8b5707f28623112c1eea0ab4c2da77
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef
:4917bcde22f3be7892a0289b37cf7dfc987c8474
:f63d88da35ecdb79014ee0629e6ac50d58de8294
:63f0e21a84ca3f32d7f699030d48d791ef894d20
:346c7f8a791cd1b7be07bfff6f849d658d506a17
:e9363a6b468d459c7e4cb0d9757079106b3a882c
:5ed22372ce6aa9cdeb91dab57c67156a2af5f0e4
:4c23c393ed8b8565bd8e90d5b57a868ba0ccfab3
:8942f83f6428f92b3e2b20fd88874d1554ab96f2
:dc10f529231b6f223b28d1941e7ebc2cf411509c
:8d3308331c237b31f5e500d73e249edd53676aec
:bdd03c96b82bf1fdd73de3b77b6143d19cce212a
:657bed8df5cfda1d7eb24a25a043cfbdf228b933
:cdf4a22ae78a77d387cfbba3d667dba692429114
:787fa0bc8d8bd11e36310c81413e654a18c6df2b
:25db3aa1d5ba511ce1f2615c8b5995285af564b1
:31b94f9b447b74280d5f248dd2c756f8f5e25acc
:75901b80d2dac1e6eb7ce9c4b8446d9190d4896a
:ba148f978034eebf97945bc788a04a9f513a0088
:63ef6aa0a2fa6f814c3afccb1486d4f7f5f5288a
:87d68f04cb1e218a1c05c61200170d889e007474
:9fa5dddae2b2487ecfe87db41a225892990cd5c9
:4937b91cce65df3c4281c4b6b8fc6af15cea1694
:0db1085b6f5f26681999bf8762e7374bb8179395
:019e42ad205179335b27f2a79a873fda88ed21a3
:2db83a4c3dc4ba607b77e73639ac847081193f8c
:f48ad284394152b21bb23d27734b77b4a2dcd7cf
:f33f4f69982b27f076e5f609f26aff70e2d3043e
:c25f4a34816c8918d5cce3f8b7a851948c6db023
:77b09d461a285c981b13fcef602c1a240f14174e
:74fdca1c4290bedcdd8ddde8b08f3077473cd819
:e556f34734eadfc9e608c1cf9647ec6daf969e7a
:2d06ce7d59a58074727fbafdaf3ea5aad79b9acf
:12f24704ca2be33438afcd3be2c707918ea08761
:dcc657d139ae8e1376df57b844635277883e75b8
:5531b5e0176d5ff2b88ade6aa53115ed1cb53418
:4723ea68ac0f3366ffaefee6b60b82b1aa2ea5e4
:a18c95bb7653260deaf25e559401325c1bed2b05
:1cd4f6965c72439a547cd22e0ade7f3cd72e744f
:acccee84fefeebf82dea74d95ce0369573298fe3
:8977b8492e9b9e203c5e53dccd30adf441420b99
:0224a4046680c993989463f0271cbbb6c265540b
:b23f7b89bf3bebd443fa7cfdfa98b6e00c0f8d33

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/alex/1

core_backtrace:
:787fa0bc8d8bd11e36310c81413e654a18c6df2b 0x151a6 - [exe] -
:72a78e5847730928a002fd2c9719c4258a54e265 0xebab g_cclosure_marshal_VOID__VOIDv libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0xb678 - libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0xd052 - libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0x26526 g_signal_emit_valist libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0x26f08 g_signal_emit libgobject-2.0.so.0 -
:cd0d64a0ad7a3289da78fd8400f887595a18433b 0x214643 - libgtk-3.so.0 -
:cd0d64a0ad7a3289da78fd8400f887595a18433b 0x1864ca - libgtk-3.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0xcda7 g_closure_invoke libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0x1eacd - libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0x26aee g_signal_emit_valist libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0x26f08 g_signal_emit libgobject-2.0.so.0 -
:cd0d64a0ad7a3289da78fd8400f887595a18433b 0x2d0943 - libgtk-3.so.0 -
:cd0d64a0ad7a3289da78fd8400f887595a18433b 0x183fdc - libgtk-3.so.0 -
:cd0d64a0ad7a3289da78fd8400f887595a18433b 0x186160 gtk_main_do_event libgtk-3.so.0 -
:c8678358e56f51f4da8d95c872da9898d836d227 0x1c58d - libgdk-3.so.0 -
:c8678358e56f51f4da8d95c872da9898d836d227 0x45729 - libgdk-3.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x46f11 g_main_context_dispatch libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x47390 - libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x477f3 g_main_loop_run libglib-2.0.so.0 -
:787fa0bc8d8bd11e36310c81413e654a18c6df2b 0xb44a - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:HOSTNAME=alex-mini.localnet
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:'IMSETTINGS_MODULE=X compose table'
:USER=alex
:USERNAME=alex
:MAIL=/var/spool/mail/alex
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/alex/.local/bin:/home/alex/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/alex
:XMODIFIERS=@im=none
:LANG=ru_RU.utf8
:GDM_LANG=ru_RU.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/alex
:SHLVL=1
:LOGNAME=alex
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-9mQUVza75U,guid=20fbd38b58be7655c2742d8600000020
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/alex
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-alex-5vO4fm/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/962,unix/unix:/tmp/.ICE-unix/962
:GNOME_KEYRING_CONTROL=/run/user/alex/keyring-Q6kz6R
:GPG_AGENT_INFO=/run/user/alex/keyring-Q6kz6R/gpg:0:1
:SSH_AUTH_SOCK=/run/user/alex/keyring-Q6kz6R/ssh
:DESKTOP_AUTOSTART_ID=105f32169d505e98b5133536889148886400000009620024

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 7827                 processes 
:Max open files            1024                 4096                 files     
:Max locked memory         unlimited            unlimited            bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       7827                 7827                 signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     70                   70                   
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/alex/.xsession-errors
:pos:	12172
:flags:	02002
:2:/home/alex/.xsession-errors
:pos:	12172
:flags:	02002
:3:socket:[41855]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[41858]
:pos:	0
:flags:	02004002
:6:socket:[41859]
:pos:	0
:flags:	02000002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[41860]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:socket:[43364]
:pos:	0
:flags:	02004002
:12:/dev/urandom
:pos:	0
:flags:	02000000
:13:socket:[43365]
:pos:	0
:flags:	02000002
:14:socket:[43385]
:pos:	0
:flags:	02
:15:socket:[43386]
:pos:	0
:flags:	02
:16:socket:[43387]
:pos:	0
:flags:	02004002
:17:socket:[43878]
:pos:	0
:flags:	04002
:18:socket:[43884]
:pos:	0
:flags:	02004002

var_log_messages:
:Apr 26 11:58:54 alex-mini kernel: [ 6704.359393] vino-server[8001]: segfault at 8 ip 0805a1a6 sp bfe42270 error 4 in vino-server[8045000+42000]
:Apr 26 11:58:55 alex-mini abrt[8245]: Saved core dump of pid 8001 (/usr/libexec/vino-server) to /var/spool/abrt/ccpp-2012-04-26-11:58:55-8001 (32051200 bytes)

xsession_errors:
:(vino-server:8001): EggSMClient-CRITICAL **: egg_sm_client_set_mode: assertion `global_client == NULL || global_client_mode == EGG_SM_CLIENT_MODE_DISABLED' failed
:** (vino-server:8001): WARNING **: server/vino-server.c:1200: invalid property id 18 for "notify-on-connect" of type `GParamBoolean' in `VinoServer'
:(vino-server:8001): GdkPixbuf-CRITICAL **: gdk_pixbuf_scale_simple: assertion `dest_width > 0' failed
:(vino-server:8001): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
:(vino-server:8001): GLib-GIO-CRITICAL **: g_app_info_launch: assertion `G_IS_APP_INFO (appinfo)' failed
:(vino-server:8247): EggSMClient-CRITICAL **: egg_sm_client_set_mode: assertion `global_client == NULL || global_client_mode == EGG_SM_CLIENT_MODE_DISABLED' failed
:** (vino-server:8247): WARNING **: server/vino-server.c:1200: invalid property id 18 for "notify-on-connect" of type `GParamBoolean' in `VinoServer'
:(vino-server:8247): GdkPixbuf-CRITICAL **: gdk_pixbuf_scale_simple: assertion `dest_width > 0' failed
:(vino-server:8247): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
Comment 1 Alexei Panov 2012-04-26 04:06:16 EDT
Created attachment 580395 [details]
File: backtrace
Comment 2 Alexei Panov 2012-04-26 04:06:18 EDT
Created attachment 580396 [details]
File: smolt_data
Comment 3 Alexei Panov 2012-04-26 04:06:20 EDT
Created attachment 580397 [details]
File: maps
Comment 4 Alexei Panov 2012-04-26 04:06:22 EDT
Created attachment 580398 [details]
File: dso_list
Comment 5 patrick korsnick 2012-06-02 17:48:03 EDT
tried to double click on the desktop sharing  icon in the tray

backtrace_rating: 4
Package: vino-3.4.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 patrick korsnick 2012-06-02 17:53:49 EDT
single clicked the desktop sharing icon

backtrace_rating: 4
Package: vino-3.4.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Fedora Update System 2012-12-02 22:07:36 EST
vino-3.4.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/vino-3.4.2-2.fc17
Comment 8 Fedora Update System 2012-12-04 00:01:11 EST
Package vino-3.4.2-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vino-3.4.2-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19620/vino-3.4.2-2.fc17
then log in and leave karma (feedback).
Comment 9 Alexei Panov 2012-12-04 03:59:06 EST
I've checked.
Update has fixed this bug.
Thanks.

Karma added.
Comment 10 Fedora Update System 2012-12-19 22:16:20 EST
vino-3.4.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.